package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.MesCutRawErrorProofingModel;
import cn.estsh.i3plus.ext.mes.pcn.pojo.model.MesCutUpdateRawLengthModel;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkOrderCutMaterial;
import io.swagger.annotations.ApiOperation;

/**
 * @Description :
 * @Reference :
 * @Author :
 * @CreateDate : 2024-04-26 15:37
 * @Modify:
 **/
public interface IMesCutRawErrorProofingService {

    @ApiOperation(value = "扫描裁片工单或条码（第一次扫工单，第二次扫条码）")
    MesCutRawErrorProofingModel doScanSn(MesCutRawErrorProofingModel model);

    @ApiOperation(value = "展示原材料信息")
    ListPager<MesWorkOrderCutMaterial> queryWorkOrderMaterialByPager(String cutWorkOrderNo, String organizeCode, Pager pager);

    @ApiOperation(value = "查询条码长度")
    MesCutUpdateRawLengthModel queryLengthBySn(MesCutRawErrorProofingModel model);

    @ApiOperation(value = "修改条码长度")
    void doUpdateLengthByScanSn(MesCutUpdateRawLengthModel model);

}
