package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.pojo.mes.bean.MesProductVersion;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface IMesProductVersionService {

    @ApiOperation(value = "查询生产版本")
    MesProductVersion getMesProductVersion(String organizeCode,String partNo,String productVersion);

    @ApiOperation(value = "根据零件号查询生产版本")
    List<MesProductVersion> findMesProductVersionByPartNo(String organizeCode, String partNo);

    @ApiOperation(value = "根据零件号查询生产版本")
    List<MesProductVersion> findMesProductVersionByPartNo(String organizeCode,List<String> partNoList);

}
