package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.pojo.mes.bean.MesStation;
import io.swagger.annotations.ApiOperation;

/**
 * @Description : 站点信息
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/9/12 13:55
 * @Modify:
 **/
public interface IMesStationService {

    @ApiOperation("查询站点信息根据设备代码")
    MesStation getMesStationByEquipmentCode(String organizeCode,String equipmentCode);

    @ApiOperation("校验站点信息根据设备代码")
    MesStation checkMesStationByEquipmentCode(String organizeCode,String equipmentCode);


}
