package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.bean.MesProduceSn;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkCenter;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author :
 * @CreateDate : 2024-04-26 15:37
 * @Modify:
 **/
public interface IMesWorkCenterService {


    @ApiOperation(value = "查询工单")
    public MesWorkCenter queryMesWorkCenter(MesWorkCenter workCenter);

    @ApiOperation(value = "查询工单")
    public List<MesWorkCenter> queryMesWorkCenterList(MesWorkCenter workCenter);

    @ApiOperation(value = "查询工单")
    public ListPager<MesWorkCenter> queryMesWorkCenterByPager(MesWorkCenter workCenter, Pager pager);

    @ApiOperation(value = "根据产线代码代码集合查询产线信息集合")
    List<MesWorkCenter> queryMesWorkCenterList(List<String> workCenterCodeList, String organizeCode);


}
