package cn.estsh.i3plus.ext.mes.pcn.api.busi;


import cn.estsh.i3plus.pojo.mes.bean.MesEquipmentVariable;
import cn.estsh.i3plus.pojo.mes.model.MesEquipVariableRwResult;
import cn.estsh.i3plus.pojo.mes.model.StationRequestBean;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Description : 发送加工参数的抽象类
 * @Author : zxw
 **/
public  interface IWriteVariableService {

    /**
     * 写值
     * @param value
     * @param equipmentVariable
     * @param kepwareFlag
     */
    MesEquipVariableRwResult writeVariable(StationRequestBean reqBean, String value, MesEquipmentVariable equipmentVariable, String kepwareFlag, Integer foreignKey, Integer index,Integer maxRetryTimes);

    /**
     * 转成需要的值
     * @param reqBean
     * @param value
     * @param foreignKey
     * @param index
     * @return
     */
    String transferValue(StationRequestBean reqBean, String value, Integer foreignKey, Integer index);

}
