package cn.estsh.i3plus.ext.mes.pcn.api.busi.recyclablepackage;

import cn.estsh.i3plus.pojo.mes.bean.recyclablepackage.MesRecyclablePackageBinding;
import cn.estsh.i3plus.pojo.mes.bean.recyclablepackage.MesRecyclablePackageBindingDetail;
import cn.estsh.i3plus.pojo.mes.bean.recyclablepackage.MesRecyclablePackageBindingLog;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description : 回收包装绑定LOG
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/9/13 10:04
 * @Modify:
 **/
public interface IMesRecyclablePackageBindingLogService {

    @ApiOperation("写入操作记录(创建)")
    MesRecyclablePackageBindingLog insertCreate(MesRecyclablePackageBinding mesRecyclablePackageBinding);

    @ApiOperation("写入操作记录(关箱)")
    MesRecyclablePackageBindingLog insertClose(MesRecyclablePackageBinding mesRecyclablePackageBinding);

    @ApiOperation("写入操作记录(绑定)")
    MesRecyclablePackageBindingLog insertBinding(MesRecyclablePackageBinding mesRecyclablePackageBinding, MesRecyclablePackageBindingDetail mesRecyclablePackageBindingDetail);

    @ApiOperation("写入操作记录(解绑)")
    MesRecyclablePackageBindingLog insertUnBinding(MesRecyclablePackageBinding mesRecyclablePackageBinding, MesRecyclablePackageBindingDetail mesRecyclablePackageBindingDetail);

    @ApiOperation("写入操作记录(解绑)")
    void insertUnBinding(MesRecyclablePackageBinding mesRecyclablePackageBinding, List<MesRecyclablePackageBindingDetail> mesRecyclablePackageBindingDetail);
}
