package cn.estsh.i3plus.ext.mes.pcn.apiservice.dao;

import cn.estsh.i3plus.pojo.mes.bean.MesProdMouldRecord;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description : 生产开模统计
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/6/26 15:46
 * @Modify:
 **/
public interface IMesProdMouldStatisticsDao {

    @ApiOperation("查询未统计的开模记录数据")
    List<MesProdMouldRecord> findUndStatisticsMesProdMouldRecord(String organizeCode, Integer pageSize);


    @ApiOperation("更新加工记录表")
    int updateMesProductionRecord(List<Long> idList, String organizeCode, boolean updateSyncStatus,String userName);

}
