package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import cn.estsh.i3plus.pojo.mes.bean.MesEquipmentSpotCheck;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description : 设备点检Model
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/7/8 17:37
 * @Modify:
 **/
@Data
public class MesEquipmentSpotCheckModel {

    @ApiParam("设备Code")
    private String equipCode;

    @ApiParam("设备名称")
    private String equipName;

    @ApiParam("点检单类型")
    private List<MesEquipmentSpotCheckDataModel> spotCheckDataModelList = new ArrayList<>();

    @Data
    public static class MesEquipmentSpotCheckDataModel {
        @ApiParam("点检单类型")
        private Integer spotCheckOrderType;

        @ApiParam("设备点检")
        List<MesEquipmentSpotCheck> spotCheckList;

        public MesEquipmentSpotCheckDataModel() {
        }
    }
}