package cn.estsh.i3plus.ext.mes.pcn.api.base;

import cn.estsh.i3plus.ext.mes.pcn.pojo.context.MesProductionPartContext;
import cn.estsh.i3plus.pojo.mes.bean.MesMouldMultiCavity;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface IMesMouldMultiCavityService {

    @ApiOperation(value = "根据设备代码,模具号查询一模多腔信息")
    List<MesMouldMultiCavity> getMouldMultiCavityList(String organizeCode, String equipmentCode, String mouldNo);

    @ApiOperation(value = "根据设备代码,模具号查询产出零件信息")
    List<MesProductionPartContext> getProductionPartList(String organizeCode, String equipmentCode, String mouldNo);

}
