package cn.estsh.i3plus.ext.mes.pcn.api.base;


import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.bean.MesProdShiftRecord;
import io.swagger.annotations.ApiOperation;

/**
 * @Description: 开关班记录
 * @Author: gsz
 * @Date: 2024/5/25 18:16
 * @Modify:
 */
public interface IMesProdShiftRecordService  {

    @ApiOperation(value = "查询开关班记录")
    public ListPager<MesProdShiftRecord> queryMesProdShiftRecordByPager(MesProdShiftRecord partInspection, Pager pager);

    void insertMesProdShiftRecord(MesProdShiftRecord item, String organizeCode);

    void saveMesProdShiftRecord(MesProdShiftRecord item, String organizeCode);

    MesProdShiftRecord queryMesProdShiftRecord(MesProdShiftRecord mesProdShiftRecord);
}
