package cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.numberrule;

import cn.estsh.i3plus.ext.mes.pcn.pojo.util.MesPcnExtConstWords;
import cn.estsh.i3plus.mes.pcn.api.iservice.busi.INumberRulePackAttributeStrategyService;
import cn.estsh.i3plus.platform.common.tool.TimeTool;
import cn.estsh.i3plus.pojo.mes.model.GenSerialNoModel;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * @Description : BYD-BF-WH.btw
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/9/26 19:24
 * @Modify:
 **/
@Component
public class BydBfWhNumberRuleStrategyService implements INumberRulePackAttributeStrategyService {

    @Override
    public GenSerialNoModel execute(GenSerialNoModel genSerialNoModel) {
        genSerialNoModel.setYear(TimeTool.pareDateToString(MesPcnExtConstWords.DATE_FORMAT_YY, new Date()));
        return genSerialNoModel;
    }
}
