package cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.print;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.MesProduceSnPrintModel;
import cn.estsh.i3plus.pojo.mes.bean.MesNumberRule;
import cn.estsh.i3plus.pojo.mes.model.GenSerialNoModel;
import cn.estsh.i3plus.pojo.mes.model.StationRequestBean;
import cn.estsh.i3plus.pojo.mes.model.StepResult;

/**
 * @Description : 根据不同的条码,封装不同的数据来源  content 是打印模板，dataList
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2024/6/6 16:39
 * @Modify:
 **/
public interface IPrintTemplateStrategyService {
    /**
     * dataList
     * 需要打印的数据，封装数据
     * @param sn
     * @return
     */
//    MesProduceSnPrintDataModel execute(StepResult stepResult, StationRequestBean reqBean, MesProductionPsOutContext sn , String organizeCode);

    /**
     * GenSerialNoModel 生成条码的规则
     * mesProduceSnPrintModel 需要的数据
     * @param model
     * @param mesProduceSnPrintModel
     * @return
     */
    MesProduceSnPrintModel execute(GenSerialNoModel model , MesProduceSnPrintModel mesProduceSnPrintModel, MesNumberRule numberRule, StepResult stepResult, StationRequestBean reqBean, Boolean isStep);
}
