package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import cn.estsh.i3plus.pojo.mes.bean.MesRawPackage;
import cn.estsh.i3plus.pojo.mes.bean.MesRawPackageDetail;
import cn.estsh.i3plus.pojo.mes.bean.MesRawPackagePart;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description : 原材料容器明细Model
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/6/30 11:40
 * @Modify:
 **/
@Data
public class MesRawPackageModel {

    @ApiParam("原材料容器")
    private MesRawPackage mesRawPackage;

    @ApiParam("原材料容器明细")
    private MesRawPackageDetail mesRawPackageDetail;

    @ApiParam("原材料容器零件关系表")
    private List<MesRawPackagePart> mesRawPackagePartList;
}
