package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import cn.estsh.i3plus.pojo.mes.bean.MesProduceSn;
import cn.estsh.i3plus.pojo.mes.bean.MesRawPackagePart;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 加料防错
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/6/30 11:40
 * @Modify:
 **/
@Data
public class MesRawPartChargingModel {
    @ApiParam("操作人")
    private String userName;

    @ApiParam("工厂代码")
    private String organizeCode;

    @ApiParam("料筒条码")
    private String packageSn;

    @ApiParam("原料条码")
    private String sn;

    @ApiParam("批次号")
    private String lotNo;

    @ApiParam("操作类型")
    private Integer type;

    @ApiParam("原材料容器")
    private MesRawPackageModel mesRawPackageModel;

    @ApiParam("原材料容器零件关系")
    private MesRawPackagePart mesRawPackagePart;

    @ApiParam("产品条码")
    private MesProduceSn mesProduceSn;

}
