package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiParam;
import lombok.Builder;
import lombok.Data;

/**
 * @Description : 料箱绑定
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/9/6 16:37
 * @Modify:
 **/
@Data
@Builder
public class MesRecyclablePackageBindingModel {
    @ApiParam("操作人")
    private String userName;

    @ApiParam("工厂代码")
    private String organizeCode;

    @ApiParam("包条码")
    private String packageSn;

    @ApiParam("零件条码")
    private String productSn;

    @ApiParam("操作类型")
    private Integer type;

    @ApiParam("删除明细ID")
    private Long[] detailsIds;
}
