package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import cn.estsh.i3plus.pojo.mes.bean.MesSpotCheckOrder;
import cn.estsh.i3plus.pojo.mes.bean.MesSpotCheckOrderPart;
import cn.estsh.i3plus.pojo.mes.bean.MesSpotCheckOrderResult;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author :
 * @CreateDate : 2024-04-26 15:44
 * @Modify:
 **/
@Data
public class MesSpotCheckOrderModel {


    @ApiParam("点检单明细")
    private List<MesSpotCheckOrderResult> orderResultList;

    @ApiParam("点检单零件")
    private List<MesSpotCheckOrderPart> orderPartList;

    @ApiParam("点检单")
    private MesSpotCheckOrder spotCheckOrder;

    @ApiParam("扫描条码")
    private String produceSn;

    @ApiParam("工厂代码")
    private String organizeCode;


}
